<?php
// +----------------------------------------------------------------------
// | SentCMS [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2013 http://www.tensent.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: molong <molong@tensent.cn> <http://www.tensent.cn>
// +----------------------------------------------------------------------
namespace App\Http\Controllers\System;

use App\Http\Controllers\Base;
use Illuminate\Support\Facades\DB;
use App\Services\Auth\UsersLogService;

class Index extends Base{

	/**
	 * @title 版权信息
	 *
	 * @return void
	 */
	public function version(){
		$system_info_mysql = DB::select("select version() as version;");
		$this->data['data'] = [
			['label' => '内核版本', 'values' => app()->version()],
			['label' => '系统版本', 'values' => env('SYSTEM_VERSION')],
			['label' => '服务器操作系统', 'values' => PHP_OS],
			['label' => '运行环境', 'values' => $_SERVER['SERVER_SOFTWARE']],
			['label' => 'MYSQL版本', 'values' => $system_info_mysql[0]->version],
			// ['label' => '上传限制', 'values' => '10']
		];
		$this->data['code'] = 1;
		return $this->data;
	}

	public function log(UsersLogService $service){
        $this->data['data'] = $service->getUserLogList(request());
		$this->data['code'] = 1;
		return $this->data;
	}
}
